## org.apache.axis.transport.jms
Class JMSConnector.SyncConnection.SendSession

    java.lang.Object
      org.apache.axis.transport.jms.JMSConnector.ConnectorSession
          org.apache.axis.transport.jms.JMSConnector.SyncConnection.SendSession

Enclosing class:
  JMSConnector.SyncConnection

protected abstract class JMSConnector.SyncConnection.SendSession
extends org.apache.axis.transport.jms.JMSConnector.ConnectorSession

Method Summary
`protected abstract javax.jms.MessageConsumer` `createConsumer(javax.jms.Destination destination)`
`protected abstract javax.jms.Destination` `createTemporaryDestination()`
`protected abstract void` `deleteTemporaryDestination(javax.jms.Destination destination)`
`protected abstract void` `send(javax.jms.Destination destination, javax.jms.Message message, int deliveryMode, int priority, long timeToLive)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createTemporaryDestination

    protected abstract javax.jms.Destination createTemporaryDestination()
                                                                 throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

### deleteTemporaryDestination

    protected abstract void deleteTemporaryDestination(javax.jms.Destination destination)
                                                throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

### createConsumer

    protected abstract javax.jms.MessageConsumer createConsumer(javax.jms.Destination destination)
                                                         throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

### send

    protected abstract void send(javax.jms.Destination destination,
                                 javax.jms.Message message,
                                 int deliveryMode,
                                 int priority,
                                 long timeToLive)
                          throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

Copyright © 2005 Apache Web Services Project. All Rights Reserved.